<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/"
      xmlns:its="http://www.w3.org/2005/11/its" type="task" style="task"
      id="main_features">

  <info>
    <link type="guide" xref="index#main"/>
    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>
    <credit type="author">
      <name>Romain F. T.</name>
      <email its:translate="no">rrroschan@gmail.com</email>
    </credit>
    <desc>Creating, opening and saving files.</desc>
  </info>

  <title>Basic features</title>

  <p><app>Drawing</app> is a simple raster image editor for the GNOME desktop.
  It'll help you to create and edit pictures.</p>

  <note style="tip">
    <p>Many features described here are located in the header of the window, but
    the exact layout of the app depends on your desktop environment. Screenshots
    are provided for a standard GNOME environment.</p>
  </note>

  <section>
    <title>The "Open" button</title>

    <p>Open a picture file from your documents.</p>
    <p>If the window size is too small to display the <gui style="button">Open</gui>
    button, it's available in the primary menu.</p>
  </section>

  <section>
    <title>The "New Image" menu</title>

    <p>The goal of this menu is to create a new image. Several options are
    available:</p>
    <list>
      <item>
        <p>Create a new blank image, in a new tab. This new image will use the
        <link xref="preferences">default size and background color</link>.</p>
      </item>
      <item>
        <p>Create a new blank image, with a custom size and background color.</p>
      </item>
      <item>
        <p>Create a new image from the current <link xref="tools_selection">
        selection</link>.</p>
      </item>
      <item>
        <p>Create a new image from the current clipboard content.</p>
      </item>
      <item>
        <p>Open a new window with a new blank image.</p>
      </item>
    </list>
    <p>If the window size is too small to display its button, the
    <gui style="button">New Image</gui> menu is merged in the primary menu.</p>
  </section>

  <section id="main-menu">
    <title>The primary menu</title>

    <media type="image" mime="image/png" width="80%" its:translate="no"
           src="figures/screenshot_menu.png" />

    <list>
      <item>
        <p>Reload the picture from the disk.</p>
      </item>
      <item>
        <p>See the pictures properties, such as its size and colorspace.</p>
      </item>
      <item>
        <p>Enable the <link xref="fullscreen">fullscreen mode</link>.</p>
      </item>
      <item>
        <p>Export the image or save it as a new file. Both options don't overwrite
        the original file. With <gui style="menuitem">Export as…</gui>, you keep
        editing the original file, but <gui style="menuitem">Save as…</gui> closes
        the original file and makes you edit the new one.</p>
      </item>
      <item>
        <p>Print the picture.</p>
      </item>
      <item>
        <p>Copy the picture to the clipboard, for example to share it with an
        other app.</p>
      </item>
      <item>
        <p>Show tools names. Edit <link xref="preferences">preferences</link>.</p>
      </item>
    </list>
  </section>

  <section>
    <title>Editing</title>

    <p>You can edit the picture with the tools in the side bar. There are
    several types of tools:</p>
    <list>
      <item>
        <p>The <link xref="tools_classic">classic tools</link>, such as pencils,
        shapes, or text insertion.</p>
      </item>
      <item>
        <p>The various types of <link xref="tools_selection">selection</link>,
        to define a part of the picture you want to move or edit further with
        the following tools:</p>
      </item>
      <item>
        <p>Finally, <link xref="tools_transform">some tools</link> can transform
        either the selection or the entire canvas. This includes cropping,
        rotating or flipping, scaling, or applying a filter.</p>
      </item>
    </list>
    <p>With the related buttons in the header of the window, you can
    <gui style="button">Undo</gui> (and then <gui style="button">Redo</gui>)
    any edit you just did.</p>
    <p>In the bottom bar, each tool can provide various options and actions.</p>
  </section>

  <p>See also <link xref="zoom_preview">this page about adjusting the zoom level
  </link> of the image.</p>

</page>

